'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _About = require('../sections/About');

var _About2 = _interopRequireDefault(_About);

var _LogoutIndicatorContainer = require('../../containers/login/LogoutIndicatorContainer');

var _LogoutIndicatorContainer2 = _interopRequireDefault(_LogoutIndicatorContainer);

var _LoginPage = require('../../../styles/cspace-ui/LoginPage.css');

var _LoginPage2 = _interopRequireDefault(_LoginPage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const propTypes = {
  history: _propTypes2.default.object.isRequired,
  logout: _propTypes2.default.func,
  resetLogin: _propTypes2.default.func
};

class LogoutPage extends _react.Component {
  constructor(props) {
    super(props);

    this.onSuccess = this.onSuccess.bind(this);
  }

  componentDidMount() {
    const logout = this.props.logout;


    if (logout) {
      logout();
    }
  }

  onSuccess() {
    var _props = this.props;
    const history = _props.history,
          resetLogin = _props.resetLogin;


    if (resetLogin) {
      resetLogin();
    }

    history.replace('/login');
  }

  render() {
    return _react2.default.createElement(
      'div',
      { className: _LoginPage2.default.common },
      _react2.default.createElement(
        'div',
        { className: _LoginPage2.default.about },
        _react2.default.createElement(_About2.default, null)
      ),
      _react2.default.createElement(
        'div',
        { className: _LoginPage2.default.login },
        _react2.default.createElement(_LogoutIndicatorContainer2.default, { onSuccess: this.onSuccess })
      )
    );
  }
}

exports.default = LogoutPage;
LogoutPage.propTypes = propTypes;