'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _cspaceLayout = require('cspace-layout');

var _CancelButton = require('../navigation/CancelButton');

var _CancelButton2 = _interopRequireDefault(_CancelButton);

var _SaveButton = require('../record/SaveButton');

var _SaveButton2 = _interopRequireDefault(_SaveButton);

var _LockButton = require('../../../styles/cspace-ui/LockButton.css');

var _LockButton2 = _interopRequireDefault(_LockButton);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const messages = (0, _reactIntl.defineMessages)({
  title: {
    'id': 'lockRecordModal.title',
    'defaultMessage': 'Lock Record?'
  },
  prompt: {
    'id': 'lockRecordModal.prompt',
    'defaultMessage': 'This record may be locked after it is saved. This will make the record read-only, to prevent further modification.'
  },
  cancel: {
    'id': 'lockRecordModal.cancel',
    'defaultMessage': 'Cancel'
  },
  saveLock: {
    'id': 'lockRecordModal.saveLock',
    'defaultMessage': 'Save and lock'
  },
  saveOnly: {
    'id': 'lockRecordModal.saveOnly',
    'defaultMessage': 'Save only'
  }
});

const propTypes = {
  csid: _propTypes2.default.string,
  isOpen: _propTypes2.default.bool,
  isSavePending: _propTypes2.default.bool,
  onCancelButtonClick: _propTypes2.default.func,
  onCloseButtonClick: _propTypes2.default.func,
  onSaveOnlyButtonClick: _propTypes2.default.func,
  onSaveLockButtonClick: _propTypes2.default.func
};

class LockRecordModal extends _react.Component {
  constructor() {
    super();

    this.renderButtonBar = this.renderButtonBar.bind(this);
  }

  renderButtonBar() {
    var _props = this.props;
    const csid = _props.csid,
          isSavePending = _props.isSavePending,
          onCancelButtonClick = _props.onCancelButtonClick,
          onSaveOnlyButtonClick = _props.onSaveOnlyButtonClick,
          onSaveLockButtonClick = _props.onSaveLockButtonClick;


    return _react2.default.createElement(
      'div',
      null,
      _react2.default.createElement(_CancelButton2.default, {
        disabled: isSavePending,
        label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.cancel),
        onClick: onCancelButtonClick
      }),
      _react2.default.createElement(_SaveButton2.default, {
        csid: csid,
        isSavePending: isSavePending,
        label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.saveOnly),
        onClick: onSaveOnlyButtonClick
      }),
      _react2.default.createElement(_SaveButton2.default, {
        className: _LockButton2.default.common,
        csid: csid,
        isSavePending: isSavePending,
        label: _react2.default.createElement(_reactIntl.FormattedMessage, messages.saveLock),
        onClick: onSaveLockButtonClick
      })
    );
  }

  render() {
    var _props2 = this.props;
    const isOpen = _props2.isOpen,
          onCloseButtonClick = _props2.onCloseButtonClick;


    return _react2.default.createElement(
      _cspaceLayout.Modal,
      {
        isOpen: isOpen,
        title: _react2.default.createElement(
          'h1',
          null,
          _react2.default.createElement(_reactIntl.FormattedMessage, messages.title)
        ),
        closeButtonClassName: 'material-icons',
        closeButtonLabel: 'close',
        renderButtonBar: this.renderButtonBar,
        onCloseButtonClick: onCloseButtonClick
      },
      _react2.default.createElement(_reactIntl.FormattedMessage, messages.prompt)
    );
  }
}

exports.default = LockRecordModal;
LockRecordModal.modalName = 'LockRecordModal';
LockRecordModal.propTypes = propTypes;