'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

exports.default = QuickSearchForm;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _reactIntl = require('react-intl');

var _immutable = require('immutable');

var _immutable2 = _interopRequireDefault(_immutable);

var _cspaceInput = require('cspace-input');

var _searchHelpers = require('../../helpers/searchHelpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

const QuickSearchInput = _cspaceInput.components.QuickSearchInput;


const messages = (0, _reactIntl.defineMessages)({
  placeholder: {
    'id': 'quickSearchForm.placeholder',
    'defaultMessage': 'Search'
  },
  search: {
    'id': 'quickSearchForm.search',
    'defaultMessage': 'Search'
  }
});

const propTypes = {
  intl: _reactIntl.intlShape,
  config: _propTypes2.default.object,
  perms: _propTypes2.default.instanceOf(_immutable2.default.Map),
  getAuthorityVocabCsid: _propTypes2.default.func
};

function QuickSearchForm(props) {
  const intl = props.intl,
        config = props.config,
        perms = props.perms,
        getAuthorityVocabCsid = props.getAuthorityVocabCsid,
        remainingProps = _objectWithoutProperties(props, ['intl', 'config', 'perms', 'getAuthorityVocabCsid']);

  const formatRecordTypeLabel = (name, recordTypeConfig) => intl.formatMessage(recordTypeConfig.messages.record.collectionName);

  const formatVocabularyLabel = (name, vocabularyConfig) => intl.formatMessage(vocabularyConfig.messages.name);

  return _react2.default.createElement(
    'fieldset',
    null,
    _react2.default.createElement(QuickSearchInput, _extends({}, remainingProps, {
      formatRecordTypeLabel: formatRecordTypeLabel,
      formatVocabularyLabel: formatVocabularyLabel,
      placeholder: intl.formatMessage(messages.placeholder),
      recordTypes: (0, _searchHelpers.getSearchableRecordTypes)(getAuthorityVocabCsid, config, perms),
      searchButtonLabel: intl.formatMessage(messages.search)
    }))
  );
}

QuickSearchForm.propTypes = propTypes;