"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require("react-intl");

const template = configContext => {
  const React = configContext.lib.React;
  var _configContext$layout = configContext.layoutComponents;
  const Cols = _configContext$layout.Cols,
        Col = _configContext$layout.Col,
        Panel = _configContext$layout.Panel,
        Row = _configContext$layout.Row;
  const Field = configContext.recordComponents.Field;


  return React.createElement(
    Field,
    { name: "document" },
    React.createElement(
      Panel,
      { name: "info", collapsible: true },
      React.createElement(
        Cols,
        null,
        React.createElement(
          Col,
          null,
          React.createElement(Field, { name: "conservationNumber" }),
          React.createElement(
            Field,
            { name: "conservationStatusGroupList" },
            React.createElement(
              Field,
              { name: "conservationStatusGroup" },
              React.createElement(Field, { name: "status" }),
              React.createElement(Field, { name: "statusDate" })
            )
          ),
          React.createElement(Field, { name: "treatmentPurpose" })
        ),
        React.createElement(
          Col,
          null,
          React.createElement(
            Field,
            { name: "conservators" },
            React.createElement(Field, { name: "conservator" })
          ),
          React.createElement(
            Field,
            { name: "otherPartyGroupList" },
            React.createElement(
              Field,
              { name: "otherPartyGroup" },
              React.createElement(Field, { name: "otherParty" }),
              React.createElement(Field, { name: "otherPartyRole" }),
              React.createElement(Field, { name: "otherPartyNote" })
            )
          )
        )
      ),
      React.createElement(
        Field,
        { name: "examinationGroupList" },
        React.createElement(
          Field,
          { name: "examinationGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "examinationStaff" }),
              React.createElement(Field, { name: "examinationPhase" }),
              React.createElement(Field, { name: "examinationDate" })
            ),
            React.createElement(Field, { name: "examinationNote" })
          )
        )
      ),
      React.createElement(Field, { name: "fabricationNote" }),
      React.createElement(Field, { name: "proposedTreatment" }),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "approvedBy" }),
        React.createElement(Field, { name: "approvedDate" }),
        React.createElement(Field, { name: "treatmentStartDate" }),
        React.createElement(Field, { name: "treatmentEndDate" })
      ),
      React.createElement(Field, { name: "treatmentSummary" })
    ),
    React.createElement(
      Panel,
      { name: "objectAnalysisInfo", collapsible: true, collapsed: true },
      React.createElement(Field, { name: "proposedAnalysis" }),
      React.createElement(
        Row,
        null,
        React.createElement(Field, { name: "researcher" }),
        React.createElement(Field, { name: "proposedAnalysisDate" })
      ),
      React.createElement(
        Field,
        { name: "destAnalysisGroupList" },
        React.createElement(
          Field,
          { name: "destAnalysisGroup" },
          React.createElement(
            Panel,
            null,
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "destAnalysisApprovedDate" }),
              React.createElement(Field, { name: "destAnalysisApprovalNote" }),
              React.createElement(Field, { name: "sampleBy" }),
              React.createElement(Field, { name: "sampleDate" })
            ),
            React.createElement(Field, { name: "sampleDescription" }),
            React.createElement(
              Row,
              null,
              React.createElement(Field, { name: "sampleReturned" }),
              React.createElement(Field, { name: "sampleReturnedLocation" })
            )
          )
        )
      ),
      React.createElement(Field, { name: "analysisMethod" }),
      React.createElement(Field, { name: "analysisResults" })
    )
  );
};

exports.default = configContext => ({
  messages: (0, _reactIntl.defineMessages)({
    name: {
      "id": "form.conservation.default.name",
      "defaultMessage": "Standard Template"
    }
  }),
  template: template(configContext)
});