'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

exports.default = configContext => {
  var _configContext$search = configContext.searchOperators;
  const OP_EQ = _configContext$search.OP_EQ,
        OP_CONTAIN = _configContext$search.OP_CONTAIN,
        OP_RANGE = _configContext$search.OP_RANGE;
  var _configContext$config = configContext.config;
  const defaultAdvancedSearchBooleanOp = _configContext$config.defaultAdvancedSearchBooleanOp,
        extensions = _configContext$config.extensions;


  return {
    op: defaultAdvancedSearchBooleanOp,
    value: [{
      op: OP_CONTAIN,
      path: 'ns2:intakes_common/entryNumber'
    }, {
      op: OP_RANGE,
      path: 'ns2:intakes_common/entryDate'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/entryReason'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/entryMethods/entryMethod'
    }, {
      op: OP_RANGE,
      path: 'ns2:intakes_common/returnDate'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/currentOwner'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/depositor'
    }, {
      op: OP_CONTAIN,
      path: 'ns2:intakes_common/fieldCollectionEventNames/fieldCollectionEventName'
    }, {
      op: OP_EQ,
      path: 'ns2:intakes_common/currentLocationGroupList/currentLocationGroup/currentLocation'
    }, ...extensions.core.advancedSearch]
  };
};