'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatRefName = _configContext$format.formatRefName,
        formatTimestamp = _configContext$format.formatTimestamp,
        formatServiceObjectName = _configContext$format.formatServiceObjectName;


  return {
    default: {
      docNumber: {
        // The value -might- be a refname.
        // FIXME: It could also be an option list value. How to tell?
        formatValue: value => formatRefName(value) || value,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.object.default.docNumber',
            'defaultMessage': 'Record'
          }
        }),
        order: 10,
        width: 200
      },
      docName: {
        // The value -might- be a refname.
        // FIXME: It could also be an option list value. How to tell?
        formatValue: value => formatRefName(value) || value,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.object.default.docName',
            'defaultMessage': 'Summary'
          }
        }),
        order: 20,
        width: 300
      },
      docType: {
        formatValue: formatServiceObjectName,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.object.default.docType',
            'defaultMessage': 'Type'
          }
        }),
        order: 30,
        width: 150
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.object.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 40,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};