'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _reactIntl = require('react-intl');

exports.default = configContext => {
  var _configContext$format = configContext.formatHelpers;
  const formatOption = _configContext$format.formatOption,
        formatTimestamp = _configContext$format.formatTimestamp;


  return {
    default: {
      valuationcontrolRefNumber: {
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.valuation.default.valuationcontrolRefNumber',
            'defaultMessage': 'Reference number'
          }
        }),
        order: 10,
        sortBy: 'valuationcontrols_common:valuationcontrolRefNumber',
        width: 250
      },
      valueType: {
        formatValue: (data, formatterContext) => formatOption('valueTypes', data, formatterContext),
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.valuation.default.valueType',
            'defaultMessage': 'Type'
          }
        }),
        order: 20,
        sortBy: 'valuationcontrols_common:valueType',
        width: 400
      },
      updatedAt: {
        formatValue: formatTimestamp,
        messages: (0, _reactIntl.defineMessages)({
          label: {
            'id': 'column.valuation.default.updatedAt',
            'defaultMessage': 'Updated'
          }
        }),
        order: 30,
        sortBy: 'collectionspace_core:updatedAt',
        width: 150
      }
    }
  };
};