'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getOpenModalName = exports.getNotifications = exports.getSearchToRelateVocabulary = exports.getSearchToRelateRecordType = exports.getSearchToRelateKeyword = exports.getSearchToRelateAdvanced = exports.getRelationFindResult = exports.getSearchSelectedItems = exports.getSearchError = exports.getSearchResult = exports.getMostRecentSearchDescriptor = exports.getSearchState = exports.isSearchPending = exports.isSearchDirty = exports.isRecordSidebarOpen = exports.getQuickSearchVocabulary = exports.getQuickSearchRecordType = exports.getQuickSearchKeyword = exports.getSearchPageVocabulary = exports.getSearchPageRecordType = exports.getSearchPageKeyword = exports.getSearchPageAdvanced = exports.getIDGenerator = exports.getPartialTermSearchMatches = exports.getVocabulary = exports.getOptionList = exports.getAdminTab = exports.getUploadType = exports.getForm = exports.getSearchToRelatePageSize = exports.getSearchResultPagePageSize = exports.getSearchPanelPageSize = exports.getRecordBrowserNavBarItems = exports.isPanelCollapsed = exports.getAdvancedSearchBooleanOp = exports.getPrefs = exports.getRelatedRecordBrowserRelatedCsid = exports.getRecordPagePrimaryCsid = exports.isRecordModifiedExceptPart = exports.isRecordModified = exports.isRecordReadVocabularyItemRefsPending = exports.isRecordSavePending = exports.isRecordReadPending = exports.getNewRecordData = exports.getRecordValidationErrors = exports.getRecordSubrecordCsid = exports.getRecordError = exports.getSubrecordData = exports.getRecordData = exports.getRecordRelationUpdatedTimestamp = exports.getLogoutResponse = exports.isLogoutPending = exports.getLoginError = exports.isLoginSuccess = exports.isLoginPending = exports.getLoginUsername = exports.getUserPerms = exports.getUserUsername = exports.getUserUserId = exports.getUserScreenName = exports.getAuthzRoles = exports.isAuthzRolesReadPending = exports.getAuthzResourceNames = exports.isAuthzPermsReadPending = exports.getAuthorityVocabWorkflowState = exports.getAuthorityVocabCsid = undefined;

var _redux = require('redux');

var _authz = require('./authz');

var fromAuthz = _interopRequireWildcard(_authz);

var _authority = require('./authority');

var fromAuthority = _interopRequireWildcard(_authority);

var _cspace = require('./cspace');

var _cspace2 = _interopRequireDefault(_cspace);

var _idGenerator = require('./idGenerator');

var fromIDGenerator = _interopRequireWildcard(_idGenerator);

var _searchPage = require('./searchPage');

var fromSearchPage = _interopRequireWildcard(_searchPage);

var _quickSearch = require('./quickSearch');

var fromQuickSearch = _interopRequireWildcard(_quickSearch);

var _login = require('./login');

var fromLogin = _interopRequireWildcard(_login);

var _logout = require('./logout');

var fromLogout = _interopRequireWildcard(_logout);

var _notification = require('./notification');

var fromNotification = _interopRequireWildcard(_notification);

var _optionList = require('./optionList');

var fromOptionList = _interopRequireWildcard(_optionList);

var _partialTermSearch = require('./partialTermSearch');

var fromPartialTermSearch = _interopRequireWildcard(_partialTermSearch);

var _prefs = require('./prefs');

var fromPrefs = _interopRequireWildcard(_prefs);

var _record = require('./record');

var fromRecord = _interopRequireWildcard(_record);

var _recordBrowser = require('./recordBrowser');

var fromRecordBrowser = _interopRequireWildcard(_recordBrowser);

var _recordPage = require('./recordPage');

var fromRecordPage = _interopRequireWildcard(_recordPage);

var _searchToRelate = require('./searchToRelate');

var fromSearchToRelate = _interopRequireWildcard(_searchToRelate);

var _relation = require('./relation');

var fromRelation = _interopRequireWildcard(_relation);

var _search = require('./search');

var fromSearch = _interopRequireWildcard(_search);

var _user = require('./user');

var fromUser = _interopRequireWildcard(_user);

var _vocabulary = require('./vocabulary');

var fromVocabulary = _interopRequireWildcard(_vocabulary);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

exports.default = (0, _redux.combineReducers)({
  authz: fromAuthz.default,
  authority: fromAuthority.default,
  cspace: _cspace2.default,
  idGenerator: fromIDGenerator.default,
  searchPage: fromSearchPage.default,
  quickSearch: fromQuickSearch.default,
  login: fromLogin.default,
  logout: fromLogout.default,
  optionList: fromOptionList.default,
  notification: fromNotification.default,
  partialTermSearch: fromPartialTermSearch.default,
  prefs: fromPrefs.default,
  record: fromRecord.default,
  recordBrowser: fromRecordBrowser.default,
  recordPage: fromRecordPage.default,
  searchToRelate: fromSearchToRelate.default,
  relation: fromRelation.default,
  search: fromSearch.default,
  user: fromUser.default,
  vocabulary: fromVocabulary.default
});
const getAuthorityVocabCsid = exports.getAuthorityVocabCsid = (state, recordType, vocab) => fromAuthority.getVocabCsid(state.authority, recordType, vocab);

const getAuthorityVocabWorkflowState = exports.getAuthorityVocabWorkflowState = (state, recordType, vocab) => fromAuthority.getVocabWorkflowState(state.authority, recordType, vocab);

const isAuthzPermsReadPending = exports.isAuthzPermsReadPending = state => fromAuthz.isPermsReadPending(state.authz);

const getAuthzResourceNames = exports.getAuthzResourceNames = state => fromAuthz.getResourceNames(state.authz);

const isAuthzRolesReadPending = exports.isAuthzRolesReadPending = state => fromAuthz.isRolesReadPending(state.authz);

const getAuthzRoles = exports.getAuthzRoles = state => fromAuthz.getRoles(state.authz);

const getUserScreenName = exports.getUserScreenName = state => fromUser.getScreenName(state.user);

const getUserUserId = exports.getUserUserId = state => fromUser.getUserId(state.user);

const getUserUsername = exports.getUserUsername = state => fromUser.getUsername(state.user);

const getUserPerms = exports.getUserPerms = state => fromUser.getPerms(state.user);

const getLoginUsername = exports.getLoginUsername = state => fromLogin.getUsername(state.login);

const isLoginPending = exports.isLoginPending = state => fromLogin.isPending(state.login);

const isLoginSuccess = exports.isLoginSuccess = state => fromLogin.isSuccess(state.login);

const getLoginError = exports.getLoginError = state => fromLogin.getError(state.login);

const isLogoutPending = exports.isLogoutPending = state => fromLogout.isPending(state.logout);

const getLogoutResponse = exports.getLogoutResponse = state => fromLogout.getResponse(state.logout);

const getRecordRelationUpdatedTimestamp = exports.getRecordRelationUpdatedTimestamp = (state, csid) => fromRecord.getRelationUpdatedTimestamp(state.record, csid);

const getRecordData = exports.getRecordData = (state, csid) => fromRecord.getData(state.record, csid);

const getSubrecordData = exports.getSubrecordData = (state, csid) => fromRecord.getSubrecordData(state.record, csid);

const getRecordError = exports.getRecordError = (state, csid) => fromRecord.getError(state.record, csid);

const getRecordSubrecordCsid = exports.getRecordSubrecordCsid = (state, csid, subrecordName) => fromRecord.getSubrecordCsid(state.record, csid, subrecordName);

const getRecordValidationErrors = exports.getRecordValidationErrors = (state, csid) => fromRecord.getValidationErrors(state.record, csid);

const getNewRecordData = exports.getNewRecordData = state => fromRecord.getNewData(state.record);

const isRecordReadPending = exports.isRecordReadPending = (state, csid) => fromRecord.isReadPending(state.record, csid);

const isRecordSavePending = exports.isRecordSavePending = (state, csid) => fromRecord.isSavePending(state.record, csid);

const isRecordReadVocabularyItemRefsPending = exports.isRecordReadVocabularyItemRefsPending = (state, csid) => fromRecord.isReadVocabularyItemRefsPending(state.record, csid);

const isRecordModified = exports.isRecordModified = (state, csid) => fromRecord.isModified(state.record, csid);

const isRecordModifiedExceptPart = exports.isRecordModifiedExceptPart = (state, csid, part) => fromRecord.isModifiedExceptPart(state.record, csid, part);

const getRecordPagePrimaryCsid = exports.getRecordPagePrimaryCsid = state => fromRecordPage.getPrimaryCsid(state.recordPage);

const getRelatedRecordBrowserRelatedCsid = exports.getRelatedRecordBrowserRelatedCsid = (state, recordType) => fromRecordBrowser.getRelatedRecordBrowserRelatedCsid(state.recordBrowser, recordType);

const getPrefs = exports.getPrefs = state => state.prefs;

const getAdvancedSearchBooleanOp = exports.getAdvancedSearchBooleanOp = state => fromPrefs.getAdvancedSearchBooleanOp(state.prefs);

const isPanelCollapsed = exports.isPanelCollapsed = (state, recordType, name) => fromPrefs.isPanelCollapsed(state.prefs, recordType, name);

const getRecordBrowserNavBarItems = exports.getRecordBrowserNavBarItems = (state, recordType) => fromPrefs.getRecordBrowserNavBarItems(state.prefs, recordType);

const getSearchPanelPageSize = exports.getSearchPanelPageSize = (state, recordType, name) => fromPrefs.getSearchPanelPageSize(state.prefs, recordType, name);

const getSearchResultPagePageSize = exports.getSearchResultPagePageSize = state => fromPrefs.getSearchResultPagePageSize(state.prefs);

const getSearchToRelatePageSize = exports.getSearchToRelatePageSize = state => fromPrefs.getSearchToRelatePageSize(state.prefs);

const getForm = exports.getForm = (state, recordType) => fromPrefs.getForm(state.prefs, recordType);

const getUploadType = exports.getUploadType = state => fromPrefs.getUploadType(state.prefs);

const getAdminTab = exports.getAdminTab = state => fromPrefs.getAdminTab(state.prefs);

const getOptionList = exports.getOptionList = (state, optionListName) => fromOptionList.get(state.optionList, optionListName);

const getVocabulary = exports.getVocabulary = (state, vocabularyName) => fromVocabulary.get(state.vocabulary, vocabularyName);

const getPartialTermSearchMatches = exports.getPartialTermSearchMatches = state => fromPartialTermSearch.getMatches(state.partialTermSearch);

const getIDGenerator = exports.getIDGenerator = (state, idGeneratorName) => fromIDGenerator.get(state.idGenerator, idGeneratorName);

const getSearchPageAdvanced = exports.getSearchPageAdvanced = state => fromSearchPage.getAdvanced(state.searchPage);

const getSearchPageKeyword = exports.getSearchPageKeyword = state => fromSearchPage.getKeyword(state.searchPage);

const getSearchPageRecordType = exports.getSearchPageRecordType = state => fromPrefs.getSearchPageRecordType(state.prefs);

const getSearchPageVocabulary = exports.getSearchPageVocabulary = (state, recordType) => fromPrefs.getSearchPageVocabulary(state.prefs, recordType);

const getQuickSearchKeyword = exports.getQuickSearchKeyword = state => fromQuickSearch.getKeyword(state.quickSearch);

const getQuickSearchRecordType = exports.getQuickSearchRecordType = state => fromPrefs.getQuickSearchRecordType(state.prefs);

const getQuickSearchVocabulary = exports.getQuickSearchVocabulary = (state, recordType) => fromPrefs.getQuickSearchVocabulary(state.prefs, recordType);

const isRecordSidebarOpen = exports.isRecordSidebarOpen = state => fromPrefs.isRecordSidebarOpen(state.prefs);

const isSearchDirty = exports.isSearchDirty = (state, searchName) => fromSearch.isDirty(state.search, searchName);

const isSearchPending = exports.isSearchPending = (state, searchName, searchDescriptor) => fromSearch.isPending(state.search, searchName, searchDescriptor);

const getSearchState = exports.getSearchState = (state, searchName, searchDescriptor) => fromSearch.getState(state.search, searchName, searchDescriptor);

const getMostRecentSearchDescriptor = exports.getMostRecentSearchDescriptor = (state, searchName) => fromSearch.getMostRecentDescriptor(state.search, searchName);

const getSearchResult = exports.getSearchResult = (state, searchName, searchDescriptor) => fromSearch.getResult(state.search, searchName, searchDescriptor);

const getSearchError = exports.getSearchError = (state, searchName, searchDescriptor) => fromSearch.getError(state.search, searchName, searchDescriptor);

const getSearchSelectedItems = exports.getSearchSelectedItems = (state, searchName) => fromSearch.getSelectedItems(state.search, searchName);

const getRelationFindResult = exports.getRelationFindResult = (state, subject, object, predicate) => fromRelation.getFindResult(state.relation, subject, object, predicate);

const getSearchToRelateAdvanced = exports.getSearchToRelateAdvanced = state => fromSearchToRelate.getAdvanced(state.searchToRelate);

const getSearchToRelateKeyword = exports.getSearchToRelateKeyword = state => fromSearchToRelate.getKeyword(state.searchToRelate);

const getSearchToRelateRecordType = exports.getSearchToRelateRecordType = state => fromSearchToRelate.getRecordType(state.searchToRelate);

const getSearchToRelateVocabulary = exports.getSearchToRelateVocabulary = (state, recordType) => fromSearchToRelate.getVocabulary(state.searchToRelate, recordType);

const getNotifications = exports.getNotifications = state => fromNotification.getNotifications(state.notification);

const getOpenModalName = exports.getOpenModalName = state => fromNotification.getModal(state.notification);